Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
hoangtdh

Nhờ viết hộ lisp copy siêu tốc

Các bài được khuyến nghị

hoangtdh    8

Gửi các anh chị trong diễn đàn.

Em hay phải dùng lệnh copy để copy liên tục 1 vật thể (ví dụ công tắc đèn) tới 1 điểm cách 1 điểm cho trước (ví dụ cạnh cửa đi) 1 khoảng cách cho trước (ví dụ: 200).

- Cách làm thủ công của em là dùng lệnh copy, rồi chọn from với điểm base point là cạnh cửa rồi gõ 200, rồi lại tiếp tục dùng from…rất bất tiện và mất thời gian.

Vì vậy em cần 1 lisp copy với nội dung như sau:

- Lisp chọn đối tượng, chọn điểm đầu (điểm bắt vật thể), hỏi copy theo trục x (mặc định giá trị là 0)/y (nhập giá trị 90), hỏi khoảng cách: ví dụ 200 nếu nằm bên phải (copy theo trục x) hoặc nằm trên (copy theo trục y) điểm cho trước và -200 trong trường hợp ngược lại, sau đó chọn điểm cơ sở (ví dụ cạnh cửa 1) là ra kết quả, rồi chọn điểm cơ sở tiếp theo (cạnh cửa 2)…

Rất mong các anh, chị giúp đỡ

Em Hoàng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lp_hai    207

Bác này coi bộ khoái chữ siêu tốc thì phải. mình thấy vấn đề của bạn dâu cần dùng lisp. cách làm của bạn là chọn dtượng copy, chọn điểm chèn (điểm bắt đối tượng), rồi bạn lại from từ cạnh cửa ra 200??

nếu đúng vậy thì bạn làm ngược lại là ok. khi chọn điểm bắt đối tượng bạn chọn from 200 so với cách thông thường bạn chọn, sau đó cứ việc chọn điểm copy tới là cạnh cửa là được.

bạn thử nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoangtdh    8

Gửi bạn lp_hai,

Cách của bạn cũng được, đúng là nhiều khi mình cũng dốt thật.

Tuy nhiên mình vẫn muốn có lisp hơn vì đỡ phải gõ from rồi lại chọn @(200,0) hoặc @(-200,0) hoặc @(0,200)…rất hay nhầm. Ngoài ra thì lisp còn có chức năng nhớ giá trị đã nhập trước đó để dùng cho lần sau (mình hay dùng với giá trị cố định).

Hoàng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoangtdh    8

Gửi tất cả mọi người,

Mình xin chia sẻ tâm tư 1 chút để giải thích tại sao mình thích chữ siêu tốc bởi mình muốn khi sử dụng lisp sẽ giúp vẽ bản vẽ nhanh như tàu cao tốc, gõ lệnh xong là đã xong bản vẽ (hehe). Trong bất kỳ việc gì nhiều khi nhanh hơn 1 chút là đã quyết định thắng bại của người chơi. Chính vì vậy các yêu cầu lisp của mình đều xuất phát từ thực tế khi mình vẽ bản vẽ gặp phải, muốn tăng tốc độ vẽ và giảm sai xót chỉ có cách là phối hợp nhiều lệnh cùng lúc kết hợp với tư duy lập trình và nhờ đó mới phải dùng đến lisp.

Ví dụ cùng 1 bản vẽ nhưng nếu biết khai thác lisp sẽ nâng hiệu suất vẽ lên 1000 lần,1 triệu lần… so với người ko biết dùng lisp.

Mạn đàm: Tại sao các nước Mỹ, Nhật, Đức… mới phát minh ra các sản phẩm độc đáo và đi đầu về công nghệ bởi họ có sự sáng tạo. Chính vì vậy người Việt Nam chúng mình cần phải phát huy sự sáng tạo trong công việc (từ những việc nhỏ nhất) thì mới vươn lên và khiến các dân tộc khác nể phục được.

Hoàng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lp_hai    207

Gửi bạn lp_hai,

Cách của bạn cũng được, đúng là nhiều khi mình cũng dốt thật.

Tuy nhiên mình vẫn muốn có lisp hơn vì đỡ phải gõ from rồi lại chọn @(200,0) hoặc @(-200,0) hoặc @(0,200)…rất hay nhầm. Ngoài ra thì lisp còn có chức năng nhớ giá trị đã nhập trước đó để dùng cho lần sau (mình hay dùng với giá trị cố định).

Hoàng

ok mình viết nè, bạn dùng thử xem thế nào


(defun c:cf(/ p1 dt p11)
(if(not dx1)
(setq dx1 0)
)
(if(not dy1)
(setq dy1 0)
)
(setq dt (ssget))
(setq p1 (getpoint "\nchon diem dau: "))
(setq dx (getdist (strcat "\nkhoang cach phuong x <"(rtos dx1 2 2)"> :")))
(if (= dx nil)
(setq dx dx1)
(setq dx1 dx)
)
(setq dy (getdist (strcat "\nkhoang cach phuong y <"(rtos dy1 2 2)"> :")))
(if (= dy nil)
(setq dy dy1)
(setq dy1 dy)
)
(setq p11 (list (-(car p1)dx) (-(cadr p1)dy)))
(command "copy" dt "" "m" p11)
(princ)
)

nói thật nha. cách bạn nói chuyện thật đặc biệt.

hehhee

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoangtdh    8

Gửi bạn lp_hai,

Mình đã test thử và gặp phải vấn đề sau:

- khi nhập khoảng cách phương x là 200, khoảng cách phương y là 0 thì kết quả copy là điểm chọn của đối tượng cách điểm cơ sở (mép cửa) đối với trục x (phương ngang) là 174 hoặc số khác (mỗi lần chạy ra 1 số) (kq đúng là 200) và trục y (phương đứng) là -40 hoặc 1 số khác (kq đúng là 0).

Bạn kiểm tra lại lisp nhé.

Các bạn khác chạy thử xem có bị lỗi ko hay do lỗi cad của mình

Hoàng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

ok mình viết nè, bạn dùng thử xem thế nào

.......

(command "copy" dt "" "m" p11)

.......

Dòng này của bạn thì thiếu điểm đích copy rồi

 

......

Mạn đàm: Tại sao các nước Mỹ, Nhật, Đức… mới phát minh ra các sản phẩm độc đáo và đi đầu về công nghệ bởi họ có sự sáng tạo. Chính vì vậy người Việt Nam chúng mình cần phải phát huy sự sáng tạo trong công việc (từ những việc nhỏ nhất) thì mới vươn lên và khiến các dân tộc khác nể phục được.

Hoàng

Thật dễ dàng khi đọc, viết ra những dòng này và nói ra những lời này -> Quá dễ. Cái khó là thực hiện nó như thế nào??

Có sự sáng tạo?? Đúng, phải có sự sáng tạo chứ?

Trong hoàn cảnh nào cũng phải .. bắt chước cái đã vậy :( rồi không biết lấy cái gì để sáng tạo? Sáng tạo trên cái của người ta đã làm thì có được gọi là sáng tạo không bạn? Viết 1 cái Lisp hay, dựa trên những ý tưởng rất hay và mới mẻ của mình được mọi người sử dụng và trầm trồ thán phục và có ích thì có được gọi là sự sáng tạo không bạn?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoangtdh    8

Gửi Tuệ,

Bạn định nghĩa sáng tạo là gì? Còn với mình thì bất kỳ việc gì mà mình bỏ chất xám vào cải tiến giúp nó tốt hơn thì đều có tính sáng tạo cả? chẳng cần phải cao siêu như Einstein phát minh ra thuyết tương đối, chẳng cần phải như Edison với hàng nghìn phát minh….

Mình chỉ cần cải tiến những cái đang có cho tốt hơn.Chẳng hạn việc viết lisp cũng vậy, mình ko giỏi lập trình nên mình chỉ có thể đưa ra ý tưởng, có thể có bạn viết lisp hay (tốc độ nhanh, thuật toán tối ưu), có bạn viết chưa hay lắm nhưng mình vẫn luôn khuyến khích và cổ vũ. Chỉ có bằng hành động thì mới tạo ra kết quả chứ biết nhiều mà không hành động gì thì kết quả vẫn chỉ là số 0.

Mình biết có nhiều bạn phải thức đêm để suy nghĩ giải quyết thuật toán khi viết lisp trong khi họ chắng được gì ngoài việc tán thưởng của vài người trong khi công việc còn bề bộn, phải chăng đó là do ngọn lửa đam mê? Phải chỉ có ngọn lửa đam mê mới giúp con người ta làm việc mà không toan tính lợi ích cho riêng mình. Chúng ta tạo ra diễn đàn là để chia sẻ tri thức, giúp ích cho mọi người. Mỗi người có 1 thế mạnh riêng, nếu phối hợp lại thì việc gì cũng có thể làm được.

Một chút lan man để mọi người suy nghĩ.

Hoàng

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.651

@bác Tuệ : e nghĩ trong dòng lệnh copy p11 là điểm basepoint copy ạ, vì e test bình thường

@bạn Hoàng : ý bác Tuệ đang cổ vũ bạn hãy cố gắng đọc những dòng code mà mọi người giúp bạn trong này, thử nghiên cứu xem nó có gì mà lại làm được những việc ghê gớm đó, để rồi tự bạn sẽ có thể hoàn thành được những ý tưởng của bạn, lúc đó gọi là Sáng tạo by myself :)

Thực ra lisp cũng k có gì ghê gớm, chẳng qua nếu lười thì nó sẽ mãi mãi là 1 thứ xa xỉ. Một con voi thì phải ăn từ từ mới hết, đừng ngán vội :)

Cũng chẳng cần gì gọi là "giỏi lập trình", chẳng qua cũng chỉ là kinh nghiệm cộng sáng tạo, sáng tạo thì bạn có rồi, giờ chỉ cần lao vào để có kinh nghiệm thôi.

 

Chỉ có bằng hành động thì mới tạo ra kết quả chứ biết nhiều mà không hành động gì thì kết quả vẫn chỉ là số 0.

Đấy chính là lý do tại sao bạn nên thử nghiên cứu xem sao :)

 

Mình biết có nhiều bạn phải thức đêm để suy nghĩ giải quyết thuật toán khi viết lisp trong khi họ chắng được gì ngoài việc tán thưởng của vài người

Chẳng nói đâu xa khi tối qua bác Tuệ và két thức muộn để finish giùm bạn đoạn code. Lẽ nào bạn muốn đứng ngoài guồng xoáy đó ?

 

P/S : mình cũng mới thử đọc lisp được một thời gian ngắn, cũng được bác Tuệ và các bác khác động viên, dù gọi là trình còi chẳng đủ, nhưng cũng cảm thấy hạnh phúc khi giúp được một ai đó, giúp được chính mình, từ những điều nhỏ nhất. bạn hãy thử xem

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Gửi Tuệ,

Bạn định nghĩa sáng tạo là gì? Còn với mình thì bất kỳ việc gì mà mình bỏ chất xám vào cải tiến giúp nó tốt hơn thì đều có tính sáng tạo cả? chẳng cần phải cao siêu như Einstein phát minh ra thuyết tương đối, chẳng cần phải như Edison với hàng nghìn phát minh….

Mình chỉ cần cải tiến những cái đang có cho tốt hơn.Chẳng hạn việc viết lisp cũng vậy, mình ko giỏi lập trình nên mình chỉ có thể đưa ra ý tưởng, có thể có bạn viết lisp hay (tốc độ nhanh, thuật toán tối ưu), có bạn viết chưa hay lắm nhưng mình vẫn luôn khuyến khích và cổ vũ. Chỉ có bằng hành động thì mới tạo ra kết quả chứ biết nhiều mà không hành động gì thì kết quả vẫn chỉ là số 0.

Mình biết có nhiều bạn phải thức đêm để suy nghĩ giải quyết thuật toán khi viết lisp trong khi họ chắng được gì ngoài việc tán thưởng của vài người trong khi công việc còn bề bộn, phải chăng đó là do ngọn lửa đam mê? Phải chỉ có ngọn lửa đam mê mới giúp con người ta làm việc mà không toan tính lợi ích cho riêng mình. Chúng ta tạo ra diễn đàn là để chia sẻ tri thức, giúp ích cho mọi người. Mỗi người có 1 thế mạnh riêng, nếu phối hợp lại thì việc gì cũng có thể làm được.

Một chút lan man để mọi người suy nghĩ.

Hoàng

@Hoàng : Bạn đọc 2 bài viết trên của Tue_NV và Ketxu sẽ thấy tâm ý của mình :) . Chúc bạn thành công và có nhiều sự sáng tạo đóng góp cho diễn đàn CADVIET. Rất vui vì bạn đã viết ra những lời trên và chủ yếu là bạn thực hiện những điều bạn viết như thế nào ra sao thôi. :)

http://www.cadviet.com/forum/index.php?showtopic=4222&st=520

Bài thơ chưa biết đặt tên :D

 

Cứ thủng thẳng từ từ

Đừng vội bước thật sâu

Nên đi từ căn bản

Bắt đầu từ đơn giản

Đến điều phức tạp hơn

Và phức tạp hơn nữa

Khi đó, em sẽ hiểu

Em đang đọc những gì?

 

Cuộc sống không chờ đợi

Thời gian lặng lẽ trôi

Hãy bước đi em nhé

Nghị lực và niềm tin

Đồng hành cùng sánh bước

 

Đà Nẵng, sáng ngày 27/8/2010

Tue_NV

@ketxu : Rất cảm ơn bạn đã nói ra những ý của mình :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoangtdh    8

Gửi bạn ketxu, TuệNV

Bạn viết rất hay, từ giờ mình sẽ mày mò học lisp, chỉ xin mọi người đừng chê cười. Biết đâu 1 ngày không xa mình có thể viết được những lisp hay như các bạn để có thể đóng góp nhiều hơn cho diễn đàn và giúp đỡ được những người khác.

Còn đây là kết quả mình chạy cf.lsp của bạn lp_hai. Mình gửi hình và lisp để mọi người tiện kiểm tra

http://www.cadviet.com/upfiles/3/ket_qua_chay_lisp_cf_cua_ban_lp_hai.dwg

http://www.cadviet.com/upfiles/3/cf.lsp

 

Cám ơn tất cả mọi người

Hoàng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.651

@bác Tuệ : :) hề, vâng e xin ^^

@bạn Hoàng : lisp chạy tốt, mình nghĩ kết quả sai có thể là do bạn để chế độ bắt điểm chưa hợp lý.Lúc bắt điểm basepoint, bạn nhớ phóng to đối tượng lên để bắt điểm cho dễ nhé. Bạn thử lại xem sao ?

Thực sự rất mong bạn bắt tay vào Làm ^^ Bạn hãy thử viết 1 ví dụ đơn giản như để User chọn 2 điểm, lisp vẽ đường Line nối 2 điểm đó r post lên xem sao :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoangtdh    8

Gửi bạn lp_hai, tue_nv, ketxu

Đúng là lisp chạy tốt. Lỗi là do mình bắt điểm ko chuẩn. Thành thật xin lỗi bạn lp_hai cùng các bạn.

Hoàng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoangtdh    8

Gửi các bạn,

Các bạn có thể giải quyết thêm cho mình bài toán sau được không:

Mình cần quay (rotate) rất nhiều block giống nhau đi 1 góc (được nhập vào) quanh 1 điểm được chọn (ví dụ tâm của các block đó-lưu ý mỗi block quay quanh chính tâm của nó chứ ko phải tâm là điểm được chọn)

Hình minh họa như đính kèm.

http://www.cadviet.com/upfiles/3/hinh_minh_hoa_lisp_rotate.dwg

Hoàng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.651

Điểm đó là "tâm" hay 1 điểm bất kỳ do bạn chọn ?

Với yêu cầu quay quanh "tâm" (k phải Insert Point), bạn thử dùng cái này xem sao.

Rb

;free lisp from cadviet.com @ ketxu
(defun c:rb()
(if (not ang) (setq ang 90))
(setq ang1 (getreal (strcat "\nGoc quay < " (rtos ang 2 2) " >:")))
(if ang1 (setq ang ang1))
(foreach e (acet-ss-to-list (ssget '((0 . "INSERT"))))
(command ".rotate" e "" ( mid e) ang )
)
)

(defun mid (ent / p1 p2)
   (vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)
   (setq p1 (vlax-safearray->list p1)
  p2 (vlax-safearray->list p2)
  pt (mapcar '+ p1 p2)
  pt (mapcar '* pt '(0.5 0.5 0.5))
   )
   pt
 )

 

P/S : mình sẽ chờ ví dụ vẽ Line bằng lisp của bạn trước khi lon ton viết lách thêm ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442

Gửi tất cả mọi người,

Mình xin chia sẻ tâm tư 1 chút để giải thích tại sao mình thích chữ siêu tốc bởi mình muốn khi sử dụng lisp sẽ giúp vẽ bản vẽ nhanh như tàu cao tốc, gõ lệnh xong là đã xong bản vẽ (hehe). Trong bất kỳ việc gì nhiều khi nhanh hơn 1 chút là đã quyết định thắng bại của người chơi. Chính vì vậy các yêu cầu lisp của mình đều xuất phát từ thực tế khi mình vẽ bản vẽ gặp phải, muốn tăng tốc độ vẽ và giảm sai xót chỉ có cách là phối hợp nhiều lệnh cùng lúc kết hợp với tư duy lập trình và nhờ đó mới phải dùng đến lisp.

Ví dụ cùng 1 bản vẽ nhưng nếu biết khai thác lisp sẽ nâng hiệu suất vẽ lên 1000 lần,1 triệu lần… so với người ko biết dùng lisp.

..............

 

Gửi bạn ketxu, TuệNV

Bạn viết rất hay, từ giờ mình sẽ mày mò học lisp, chỉ xin mọi người đừng chê cười. Biết đâu 1 ngày không xa mình có thể viết được những lisp hay như các bạn để có thể đóng góp nhiều hơn cho diễn đàn và giúp đỡ được những người khác.

............

Hy vọng "1 ngày không xa" của bạn không xa lắm !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Copy như vậy mà cũng phải cần có lisp á? Bạn có lợi dụng lisp quá ko?

Mình nghĩ chỉ cần gõ lệnh copy => chọn đối tượng => chọn basepoint => rồi đưa chuột qua phải (hoặc trái) basepoint đó (nhớ bật POLAR hoặc ORTHO) => nhập số 200 (hoặc -200) là ok.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.651

Copy như vậy mà cũng phải cần có lisp á? Bạn có lợi dụng lisp quá ko?

Mình nghĩ chỉ cần gõ lệnh copy => chọn đối tượng => chọn basepoint => rồi đưa chuột qua phải (hoặc trái) basepoint đó (nhớ bật POLAR hoặc ORTHO) => nhập số 200 (hoặc -200) là ok.

Bạn phải đọc thật kỹ lại yêu cầu của chủ topic cơ :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoangtdh    8

Gửi ketxu,

Cám ơn bạn rất nhiều. Bạn thật nhiệt tình. Bạn sẽ là người đầu tiên mà mình gửi lisp (có thể là line hoặc vẽ hình gì đó mà mình tự viết). Hi vọng các bạn khác ko chê cười lisp của mình

Hoàng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hi, tớ đọc vội quá nên ko để ý.

Nhưng chắc chắn vẫn chưa cần dùng đến lisp. Vấn đề ở đây là chọn basepoint như nào cho hợp lý?

Ở trong request mình thấy bạn nói: chọn basepoint (basepoint) but không thấy bạn nói chọn điểm nào? Nhưng việc này lại rất quan trọng đấy ạ. Theo tôi hiểu, bạn sẽ chọn 1 điểm Endpoint (Hoặc Midpoint hoặc gì gì đó) trên vật thể.

Trong trường hợp này của bạn, tôi sẽ đặt chuột vào điểm Endponit đó cho nó hiện lên dấu cộng ở giữa (Bật chế độ OSTRACK và OSNAP) rồi đưa chuột sang phải hoặc trái => nhập số 200.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.651

Gửi ketxu,

Cám ơn bạn rất nhiều. Bạn thật nhiệt tình. Bạn sẽ là người đầu tiên mà mình gửi lisp (có thể là line hoặc vẽ hình gì đó mà mình tự viết). Hi vọng các bạn khác ko chê cười lisp của mình

Hoàng

 

Có một topic mình lập "Cùng nhau học LISP" trong box này để khởi động việc viết lisp, bạn có thể viết-hỏi thoải mái ở đó. Bạn cũng có thể thấy những câu hỏi trong đó của mình cũng bắt đầu từ số 0, nhưng chẳng có gì phải ngại cả, chẳng ai k học hỏi mà lại biết :)

Để vẽ được 1 Line từ 2 point,tạm thời bạn cần dùng : defun, getpoint, command.

Để biết cấu trúc các câu lệnh này, bạn nhấn F1 vào CAD Help, sau đó vào mục AutoLISP, Visual LISP, and DXF -> Chọn Autolisp Reference -> AutoLisp FUnction, hoặc cũng có thể post hỏi trực tiếp trên 4room :)

 

Hi, tớ đọc vội quá nên ko để ý.

Nhưng chắc chắn vẫn chưa cần dùng đến lisp. Vấn đề ở đây là chọn basepoint như nào cho hợp lý?

Ở trong request mình thấy bạn nói: chọn basepoint (basepoint) but không thấy bạn nói chọn điểm nào? Nhưng việc này lại rất quan trọng đấy ạ. Theo tôi hiểu, bạn sẽ chọn 1 điểm Endpoint (Hoặc Midpoint hoặc gì gì đó) trên vật thể.

Trong trường hợp này của bạn, tôi sẽ đặt chuột vào điểm Endponit đó cho nó hiện lên dấu cộng ở giữa (Bật chế độ OSTRACK và OSNAP) rồi đưa chuột sang phải hoặc trái => nhập số 200.

:) Sau khi đọc kỹ bài 1 thì bạn dòm xuống 2 bài tiếp theo xem sao :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoangtdh    8

Gửi bạn ketxu,

Cám ơn bạn đã hướng dẫn. Mình đang ngâm cứu và thấy code lisp cũng rất hay, so với lập trình bằng C++ học ngày trước cũng ko khác nhau là mấy(ngày xưa mình sợ mấy môn lập trình lắm vì làm thuật toán rất rắc rối, nhiều khi lập trình xong chạy mãi chẳng biết lỗi ở đâu hehe).ấn F1 toàn ra hàm tiếng anh. Đành chịu khó dịch vậy.

Hoàng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoangtdh    8

Gửi bạn ketxu, phamthanhbinh, tuenv, phamngoctukts, doan van ha, nguyentuyen6, lp_hai và các bạn trong diễn đàn cadviet

Từ ngày tham gia diễn đàn mình đã được các bạn giúp đỡ rất nhiều, nhờ vậy mình đã học hỏi được nhiều lisp hay giúp ích cho công việc. Sau 1 thời gian mày mò mình viết tặng các bạn lisp đầu tay này thay cho lời cám ơn.

http://www.cadviet.com/upfiles/3/ts.lsp

Hoàng

  • Vote tăng 6

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Gửi bạn ketxu, phamthanhbinh, tuenv, phamngoctukts, doan van ha, nguyentuyen6, lp_hai và các bạn trong diễn đàn cadviet

Từ ngày tham gia diễn đàn mình đã được các bạn giúp đỡ rất nhiều, nhờ vậy mình đã học hỏi được nhiều lisp hay giúp ích cho công việc. Sau 1 thời gian mày mò mình viết tặng các bạn lisp đầu tay này thay cho lời cám ơn.

http://www.cadviet.com/upfiles/3/ts.lsp

Hoàng

Rất vui khi chạy xong tác phẩm đầu tay của bạn. Nhớ lần đầu tiên mình cũng như bạn, mò hòai, mò mãi cũng ra. hà hà :lol:

Rất cảm ơn sự giúp đỡ của mọi người.

Chúc bạn thành công.

THANKS

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×